Package org.eclipse.m2m.atl.engine.asm

# Class ASMInstruction

java.lang.Object
org.eclipse.m2m.atl.engine.asm.ASMInstruction

Direct Known Subclasses:
  `ASMInstructionWithOperand`

public class ASMInstruction extends Object
Stores an `ASM` instruction.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`mnemonic`

## Constructor Summary

Constructors
Constructor
Description
`ASMInstruction(String mnemonic)`
Creates a new `ASMInstruction` with the given mnemonic.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMnemonic()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### mnemonic

protected String mnemonic

## Constructor Details

### ASMInstruction

public ASMInstruction(String mnemonic)
Creates a new `ASMInstruction` with the given mnemonic.

Parameters:
  `mnemonic` - the mnemonic

## Method Details

### getMnemonic

public String getMnemonic()

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`